﻿@using System.Web.Mvc;
@model ChaloFly.Models.AppUser
@{
    ViewBag.Title = "Index";
    var countries = ViewBag.Countries as SelectList;
    var filteredCountries = countries.Where(x => x.Value != "1").OrderBy(x => x.Text).ToList();
}

<h2>Change Mobile User Country</h2>
@using (Html.BeginForm()) 
{
    <lable style="color:green">@ViewBag.Message</lable>
    <lable style="color:red">@ViewBag.ErrorMessage</lable>
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.EmailAddress, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.EmailAddress, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.EmailAddress, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Password, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.PasswordFor(model => model.Password, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CountryId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.CountryId, filteredCountries, "Select Country", new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.CountryId, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Change" class="btn btn-default" />
            </div>
        </div>
    </div>
}